import { Institutions } from "@prisma/client"
import { ICreateInstitutionsDTO } from "../dtos/ICreateInstitutionsDTO"

interface IInstitutionsRepository {
    create({name} : ICreateInstitutionsDTO): Promise<Institutions>
    findById(id: string): Promise<Institutions>
    findByName(name: string): Promise<Institutions>
    findAllInstitutions(): Promise<Institutions[]>
    deleteInstitutions(id: string): Promise<Boolean>
}


export {IInstitutionsRepository}